<?xml version="1.0" encoding="utf-8" ?>
<odoo>
    <record id="hr_leave_form_inh" model="ir.ui.view">
        <field name="name">hr.leave.form.inh</field>
        <field name="model">hr.leave</field>
        <field name="inherit_id" ref="hr_holidays.hr_leave_view_form"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='holiday_status_id']" position="after">
                <field name="leave_type_related" invisible="1"/>
                <field name="compensar_vacaciones" attrs="{'invisible': [('leave_type_related', 'not in', ['vacaciones_anuales', 'vacaciones_anticipadas'])]}"/>
                <label for="compensar_date_from" attrs="{'invisible': [('compensar_vacaciones', '=', False)], 'required': [('compensar_vacaciones', '=', True)]}"/>
                <div attrs="{'invisible': [('compensar_vacaciones', '=', False)], 'required': [('compensar_vacaciones', '=', True)]}">
                    <field name="compensar_date_from" class="oe_inline"/>
                    <span class="oe_inline"> Hasta </span>
                    <field name="compensar_date_to" class="oe_inline"/>
                </div>
            </xpath>
        </field>
    </record>

    <record id="hr_leave_type_form_inh" model="ir.ui.view">
        <field name="name">hr.leave.type.form.inh</field>
        <field name="model">hr.leave.type</field>
        <field name="inherit_id" ref="hr_holidays.edit_holiday_status_form"/>
        <field name="arch" type="xml">
            <field name="time_type" position="after">
                <field name="leave_type"/>
            </field>
        </field>
    </record>
</odoo>